package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TFFlowLog;
import com.qmth.distributed.print.business.mapper.TFFlowLogMapper;
import com.qmth.distributed.print.business.service.TFFlowLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 流程流水表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
@Service
public class TFFlowLogServiceImpl extends ServiceImpl<TFFlowLogMapper, TFFlowLog> implements TFFlowLogService {

    @Resource
    TFFlowLogMapper tfFlowLogMapper;

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @return
     */
    @Override
    public List<TFFlowLog> findByFlowId(String flowId) {
        return tfFlowLogMapper.findByFlowId(flowId);
    }
}
